Bug 1019435 (fluid) - Review Request: fluid - Library for fluid and dynamic applications development with QtQuick
Summary: Review Request: fluid - Library for fluid and dynamic applications developmen...
Keywords:
Status: CLOSED ERRATA
Alias: fluid
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eduardo Echeverria
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-15 17:15 UTC by Lubomir Rintel
Modified: 2013-11-10 06:05 UTC (History)
4 users (show)

Fixed In Version: fluid-0.1.90-2.20130723git6d6e0cd.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-10 06:05:47 UTC
Type: Bug
echevemaster: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2013-10-15 17:15:29 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/fluid.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/fluid-0.1.90-1.20130723git6d6e0cd.fc20.src.rpm

Description:

Library for fluid and dynamic applications development with QtQuick.

Comment 1 Eduardo Echeverria 2013-10-27 18:30:46 UTC
Hi @Lkundrak:

- Can you handle the Source url, under this scheme?
http://fedoraproject.org/wiki/Packaging:SourceURL#Github.

- Not is a blocker, but pkgconfig retrieve slowly dependencies, I would use the name of the devel-packages

- Why do you use ldconfig? I can't see any lib in $LDPATH root

- Please , don't use rm -rf $RPM_BUILD_ROOT after %install, It is just for el5 packaging, Same applies for %defattr(-,root,root,-)

Comment 2 Lubomir Rintel 2013-10-28 08:53:50 UTC
Hi, thank you for your suggestions.

(In reply to Eduardo Echeverria from comment #1)
> Hi @Lkundrak:
> 
> - Can you handle the Source url, under this scheme?
> http://fedoraproject.org/wiki/Packaging:SourceURL#Github.

I can not; that document is not up to date. Github no longer allows adding files to archive, nor provides a way to retrieve a sanely named tagged snapshot. I've raised a ticket about that to github, and there isn't much I could do about that until they fix their thing.

> - Not is a blocker, but pkgconfig retrieve slowly dependencies, I would use
> the name of the devel-packages

The build system looks for pkgconfig files, so this is definitely more correct. It does not appear slow to me -- if it is slow for you it should probably be fixed in RPM instead.

> - Why do you use ldconfig? I can't see any lib in $LDPATH root

No good reason, I'll remove it.

> - Please , don't use rm -rf $RPM_BUILD_ROOT after %install, It is just for
> el5 packaging, Same applies for %defattr(-,root,root,-)

Will do.

Comment 4 Eduardo Echeverria 2013-10-30 05:04:15 UTC
@Lkundrak, Please fix the rpmlint warning before import

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/echevemaster/test-
     packages-fedora/1019435-fluid/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fluid-0.1.90-2.20130723git6d6e0cd.fc21.x86_64.rpm
          fluid-0.1.90-2.20130723git6d6e0cd.fc21.src.rpm
fluid.x86_64: W: name-repeated-in-summary C fluid
fluid.src: W: name-repeated-in-summary C fluid
fluid.src: W: invalid-url Source0: fluid.tar.gz
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint fluid
fluid.x86_64: W: name-repeated-in-summary C fluid
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
fluid (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Quick.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    qt5-qtdeclarative
    qt5-qtquickcontrols
    rtld(GNU_HASH)



Provides
--------
fluid:
    fluid
    fluid(x86-64)
    libdeclarative_fluidextra.so()(64bit)



Unversioned so-files
--------------------
fluid: /usr/lib64/hawaii/qml/FluidExtra/libdeclarative_fluidextra.so

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1019435 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


PACKAGE APPROVED

Comment 5 Lubomir Rintel 2013-10-30 13:46:09 UTC
Thanks!

(In reply to Eduardo Echeverria from comment #4)
> @Lkundrak, Please fix the rpmlint warning before import
<snip>
> fluid.src: W: name-repeated-in-summary C fluid

I believe that's a false positive -- this is not repeated as a name of package, merely just as an adjective.

New Package SCM Request
=======================
Package Name: fluid
Short Description: Library for fluid and dynamic applications development with QtQuick
Owners: lkundrak
Branches: f20 el6

Comment 6 Gwyn Ciesla 2013-10-30 14:29:46 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-10-30 17:24:27 UTC
fluid-0.1.90-2.20130723git6d6e0cd.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fluid-0.1.90-2.20130723git6d6e0cd.fc20

Comment 8 Lubomir Rintel 2013-10-30 17:25:46 UTC
Imported and built.
Thank you!

Comment 9 Fedora Update System 2013-10-31 17:41:47 UTC
fluid-0.1.90-2.20130723git6d6e0cd.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2013-11-10 06:05:47 UTC
fluid-0.1.90-2.20130723git6d6e0cd.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.